--- libvirt-0.9.10/tools/Makefile.am.orig	2012-02-06 03:50:50.000000000 +0100
+++ libvirt-0.9.10/tools/Makefile.am	2012-02-18 20:04:09.061686815 +0100
@@ -182,24 +182,24 @@
 uninstall-local: uninstall-init uninstall-systemd
 
 install-sysconfig:
-	$(MKDIR_P) $(DESTDIR)$(sysconfdir)/sysconfig
+	$(MKDIR_P) $(DESTDIR)$(localstatedir)/adm/fillup-templates
 	$(INSTALL_DATA) $(srcdir)/libvirt-guests.sysconf \
-	  $(DESTDIR)$(sysconfdir)/sysconfig/libvirt-guests
+	  $(DESTDIR)$(localstatedir)/adm/fillup-templates/sysconfig.libvirt-guests
 
 uninstall-sysconfig:
-	rm -f $(DESTDIR)$(sysconfdir)/sysconfig/libvirt-guests
-	rmdir $(DESTDIR)$(sysconfdir)/sysconfig ||:
+	rm -f $(DESTDIR)$(localstatedir)/adm/fillup-templates/sysconfig.libvirt-guests
+	rmdir $(DESTDIR)$(localstatedir)/adm/fillup-templates ||:
 
 EXTRA_DIST += libvirt-guests.init.sh
 
 install-initscript: libvirt-guests.init
-	$(MKDIR_P) $(DESTDIR)$(sysconfdir)/rc.d/init.d
+	$(MKDIR_P) $(DESTDIR)$(sysconfdir)/init.d
 	$(INSTALL_SCRIPT) libvirt-guests.init \
-	  $(DESTDIR)$(sysconfdir)/rc.d/init.d/libvirt-guests
+	  $(DESTDIR)$(sysconfdir)/init.d/libvirt-guests
 
 uninstall-initscript:
-	rm -f $(DESTDIR)$(sysconfdir)/rc.d/init.d/libvirt-guests
-	rmdir $(DESTDIR)$(sysconfdir)/rc.d/init.d ||:
+	rm -f $(DESTDIR)$(sysconfdir)/init.d/libvirt-guests
+	rmdir $(DESTDIR)$(sysconfdir)/init.d ||:
 
 
 if LIBVIRT_INIT_SCRIPT_RED_HAT
--- libvirt-0.9.10/daemon/Makefile.am.orig	2012-02-06 03:50:50.000000000 +0100
+++ libvirt-0.9.10/daemon/Makefile.am	2012-02-18 20:25:45.329739548 +0100
@@ -249,9 +249,9 @@
 	rmdir $(DESTDIR)$(sysconfdir)/logrotate.d || :
 
 install-sysconfig:
-	$(MKDIR_P) $(DESTDIR)$(sysconfdir)/sysconfig
+	$(MKDIR_P) $(DESTDIR)$(localstatedir)/adm/fillup-templates
 	$(INSTALL_DATA) $(srcdir)/libvirtd.sysconf \
-	  $(DESTDIR)$(sysconfdir)/sysconfig/libvirtd
+	  $(DESTDIR)$(localstatedir)/adm/fillup-templates/sysconfig.libvirtd
 uninstall-sysconfig:
 	rm -f $(DESTDIR)$(sysconfdir)/sysconfig/libvirtd
 	rmdir $(DESTDIR)$(sysconfdir)/sysconfig || :
@@ -270,13 +270,13 @@
 BUILT_SOURCES += libvirtd.init
 
 install-init-redhat: install-sysconfig libvirtd.init
-	$(MKDIR_P) $(DESTDIR)$(sysconfdir)/rc.d/init.d
+	$(MKDIR_P) $(DESTDIR)$(sysconfdir)/init.d
 	$(INSTALL_SCRIPT) libvirtd.init \
-	  $(DESTDIR)$(sysconfdir)/rc.d/init.d/libvirtd
+	  $(DESTDIR)$(sysconfdir)/init.d/libvirtd
 
 uninstall-init-redhat: uninstall-sysconfig
-	rm -f $(DESTDIR)$(sysconfdir)/rc.d/init.d/libvirtd
-	rmdir $(DESTDIR)$(sysconfdir)/rc.d/init.d || :
+	rm -f $(DESTDIR)$(sysconfdir)/init.d/libvirtd
+	rmdir $(DESTDIR)$(sysconfdir)/init.d || :
 else
 install-init-redhat:
 uninstall-init-redhat:
--- libvirt-0.9.12/tools/libvirt-guests.init.sh.orig	2012-03-06 14:59:21.000000000 +0100
+++ libvirt-0.9.12/tools/libvirt-guests.init.sh	2012-06-10 18:33:12.636007308 +0200
@@ -4,10 +4,10 @@
 #
 ### BEGIN INIT INFO
 # Provides: libvirt-guests
-# Required-Start: libvirtd
-# Required-Stop: libvirtd
-# Default-Start: 2 3 4 5
-# Default-Stop: 0 1 6
+# Required-Start: $network $remote_fs libvirtd
+# Required-Stop: $network $remote_fs libvirtd
+# Default-Start: 3 5
+# Default-Stop: 0 1 2 4 6
 # Short-Description: suspend/resume libvirt guests on shutdown/boot
 # Description: This is a script for suspending active libvirt guests
 #              on shutdown and resuming them on next boot
@@ -24,14 +24,13 @@
 #               See http://libvirt.org
 #
 
+. /etc/rc.status
+rc_reset
+
 sysconfdir="@sysconfdir@"
 localstatedir="@localstatedir@"
 libvirtd="@sbindir@"/libvirtd
 
-# Source function library.
-test ! -r "$sysconfdir"/rc.d/init.d/functions ||
-    . "$sysconfdir"/rc.d/init.d/functions
-
 # Source gettext library.
 # Make sure this file is recognized as having translations: _("dummy")
 . "@bindir@"/gettext.sh
@@ -52,15 +51,13 @@
 LISTFILE="$localstatedir"/lib/libvirt/libvirt-guests
 VAR_SUBSYS_LIBVIRT_GUESTS="$localstatedir"/lock/subsys/libvirt-guests
 
-RETVAL=0
-
 # retval COMMAND ARGUMENTS...
 # run command with arguments and convert non-zero return value to 1 and set
 # the global return variable
 retval() {
     "$@"
     if [ $? -ne 0 ]; then
-        RETVAL=1
+        rc_failed 1
         return 1
     else
         return 0
@@ -103,6 +100,24 @@
     fi
 }
 
+await_daemon_up()                      
+{                                      
+    uri=$1                             
+    i=1                                
+    rets=10                            
+    run_virsh $uri list > /dev/null 2>&1
+    while [ $? -ne 0 -a $i -lt $rets ]; do
+      sleep 1                             
+      echo -n .
+      i=$(($i + 1))
+      run_virsh $uri list > /dev/null 2>&1
+    done
+    if [ $i -eq $rets ]; then
+        echo $"libvirt-guests unable to connect to URI: $uri"
+        return 1
+    fi
+    return 0
+}
 # list_guests URI PERSISTENT
 # List running guests on URI.
 # PERSISTENT argument options:
@@ -115,7 +130,7 @@
 
     list=$(run_virsh_c "$uri" list --uuid $persistent)
     if [ $? -ne 0 ]; then
-        RETVAL=1
+        rc_failed 1
         return 1
     fi
 
@@ -189,6 +204,12 @@
 
         test_connect "$uri" || continue
 
+	await_daemon_up $uri
+	if [ $? -ne 0 ]; then
+	    echo $"Ignoring guests on $uri URI, can't connect"
+	    continue
+	fi
+
         eval_gettext "Resuming guests on \$uri URI..."; echo
         for guest in $list; do
             name=$(guest_name "$uri" "$guest")
@@ -394,7 +415,7 @@
         if [ $SHUTDOWN_TIMEOUT -lt 0 ]; then
             gettext "SHUTDOWN_TIMEOUT must be equal or greater than 0"
             echo
-            RETVAL=6
+            rc_failed 6
             return
         fi
     fi
@@ -504,14 +525,13 @@
 rh_status() {
     if [ -f "$LISTFILE" ]; then
         gettext "stopped, with saved guests"; echo
-        RETVAL=3
+        rc_failed 3
     else
         if [ -f "$VAR_SUBSYS_LIBVIRT_GUESTS" ]; then
             gettext "started"; echo
         else
             gettext "stopped, with no saved guests"; echo
         fi
-        RETVAL=0
     fi
 }
 
@@ -555,4 +575,4 @@
         usage
         ;;
 esac
-exit $RETVAL
+rc_exit
--- libvirt-0.9.12/tools/libvirt-guests.sysconf.orig	2012-03-06 14:59:21.000000000 +0100
+++ libvirt-0.9.12/tools/libvirt-guests.sysconf	2012-06-10 18:24:29.888007318 +0200
@@ -1,19 +1,27 @@
+## Type: string
+## Default: default
 # URIs to check for running guests
 # example: URIS='default xen:/// vbox+tcp://host/system lxc:///'
-#URIS=default
+URIS=default
 
+## Type: string
+## Default: start
 # action taken on host boot
 # - start   all guests which were running on shutdown are started on boot
 #           regardless on their autostart settings
 # - ignore  libvirt-guests init script won't start any guest on boot, however,
 #           guests marked as autostart will still be automatically started by
 #           libvirtd
-#ON_BOOT=start
+ON_BOOT=start
 
+## Type: integer
+## Default: 0
 # Number of seconds to wait between each guest start. Set to 0 to allow
 # parallel startup.
-#START_DELAY=0
+START_DELAY=0
 
+## Type: string
+## Default: suspend
 # action taken on host shutdown
 # - suspend   all running guests are suspended using virsh managedsave
 # - shutdown  all running guests are asked to shutdown. Please be careful with
@@ -22,20 +30,26 @@
 #             which just needs a long time to shutdown. When setting
 #             ON_SHUTDOWN=shutdown, you must also set SHUTDOWN_TIMEOUT to a
 #             value suitable for your guests.
-#ON_SHUTDOWN=suspend
+ON_SHUTDOWN=suspend
 
+## Type: integer
+## Default: 0
 # If set to non-zero, shutdown will suspend guests concurrently. Number of
 # guests on shutdown at any time will not exceed number set in this variable.
-#PARALLEL_SHUTDOWN=0
+PARALLEL_SHUTDOWN=0
 
+## Type: integer
+## Default: 120
 # Number of seconds we're willing to wait for a guest to shut down. If parallel
 # shutdown is enabled, this timeout applies as a timeout for shutting down all
 # guests on a single URI defined in the variable URIS. If this is 0, then there
 # is no time out (use with caution, as guests might not respond to a shutdown
 # request). The default value is 300 seconds (5 minutes).
-#SHUTDOWN_TIMEOUT=300
+SHUTDOWN_TIMEOUT=300
 
+## Type: integer
+## Default: 0
 # If non-zero, try to bypass the file system cache when saving and
 # restoring guests, even though this may give slower operation for
 # some file systems.
-#BYPASS_CACHE=0
+BYPASS_CACHE=0
